//
// Created by sebastian on 10.02.26.
//

#ifndef DICEWARS_SIEDLER_UICONTAINER_H
#define DICEWARS_SIEDLER_UICONTAINER_H
#include "../uiComponent/UiComponent.h"


class UiContainer : public UiComponent {
public:
    UiContainer();
    bool isMouseOver(float mouseX, float mouseY) override;
    void onUpdate(float) override;
    void onCollectRenderData(UiRenderBundle& renderBundle) override;
};


#endif //DICEWARS_SIEDLER_UICONTAINER_H